aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-03-02 15:11:23 -0800
committerJunio C Hamano <gitster@pobox.com>2008-03-02 15:11:23 -0800
commitd82b21b57a50f7820c57a13c09232077365095c7 (patch)
tree9de517b3e44fdbf24d0c01329d0ad3925ba34171 /t/test-lib.sh
parentca132089d2c7628fb6bca59715ece342777bdaf0 (diff)
parentfaa4bc35a05ddb1822f3770cd8c51859e3b929ee (diff)
downloadgit-d82b21b57a50f7820c57a13c09232077365095c7.tar.gz
git-d82b21b57a50f7820c57a13c09232077365095c7.tar.xz
Merge branch 'cb/http-test'
* cb/http-test: http-push: add regression tests http-push: push <remote> :<branch> deletes remote branch
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 68efda449..87a5ea4a6 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -80,7 +80,7 @@ do
-q|--q|--qu|--qui|--quie|--quiet)
quiet=t; shift ;;
--no-color)
- color=; shift ;;
+ color=; shift ;;
--no-python)
# noop now...
shift ;;
@@ -142,7 +142,12 @@ test_count=0
test_fixed=0
test_broken=0
-trap 'echo >&5 "FATAL: Unexpected exit with code $?"; exit 1' exit
+die () {
+ echo >&5 "FATAL: Unexpected exit with code $?"
+ exit 1
+}
+
+trap 'die' exit
test_tick () {
if test -z "${test_tick+set}"